%define name docbook-dtd31-sgml
%define version 1.0 
%define release 3mdk          
%define dtdver 3.1

Name        	: %{name}
Version     	: %{version}
Release     	: %{release}
Group       	: Publishing

Summary     	: SGML document type definition for DocBook %{dtdver}.

Copyright   	: Distributable
URL         	: http://www.oasis-open.org/docbook/

Obsoletes       : docbook
Provides        : docbook-dtd-sgml
Requires    	: sgml-common >= 0.2
Prereq		: sgml-common

BuildRoot   	: %{_tmppath}/%{name}-buildroot

BuildArch	: noarch  
Prefix          : %{_prefix}          
Source0		: http://www.oasis-open.org/docbook/sgml/%{dtdver}/docbk31.tar.bz2 
Patch0          : %{name}-%{version}.catalog.patch.bz2


%Description
The DocBook Document Type Definition (DTD) describes the syntax of
technical documentation texts (articles, books and manual pages).
This syntax is SGML-compliant and is developed by the OASIS consortium.
This is the version %{dtdver} of this DTD.


%Prep
%setup
%patch -p1 

%Build


%Install
DESTDIR=$RPM_BUILD_ROOT
mkdir -p $DESTDIR/usr/share/sgml/docbook/sgml-dtd-%{dtdver}
install *.dcl $DESTDIR/usr/share/sgml/docbook/sgml-dtd-%{dtdver}
install docbook.cat $DESTDIR/usr/share/sgml/docbook/sgml-dtd-%{dtdver}/catalog
install *.dtd $DESTDIR/usr/share/sgml/docbook/sgml-dtd-%{dtdver}
install *.mod $DESTDIR/usr/share/sgml/docbook/sgml-dtd-%{dtdver}


%Clean
DESTDIR=$RPM_BUILD_ROOT
rm -rf $DESTDIR


%Files
%defattr (-,root,root)
%doc *.txt
%{_prefix}/share/sgml/docbook/sgml-dtd-%{dtdver}/*.dcl
%{_prefix}/share/sgml/docbook/sgml-dtd-%{dtdver}/catalog
%{_prefix}/share/sgml/docbook/sgml-dtd-%{dtdver}/*.dtd
%{_prefix}/share/sgml/docbook/sgml-dtd-%{dtdver}/*.mod


%Post
/usr/bin/install-catalog --add /etc/sgml/sgml-docbook-%{dtdver}.cat /usr/share/sgml/sgml-iso-entities-8879.1986/catalog >/dev/null 2>/dev/null
/usr/bin/install-catalog --add /etc/sgml/sgml-docbook-%{dtdver}.cat /usr/share/sgml/docbook/sgml-dtd-%{dtdver}/catalog > /dev/null 2>/dev/null
ln -s -f /etc/sgml/sgml-docbook-%{dtdver}.cat /etc/sgml/sgml-docbook.cat


%Postun
# Do not remove if upgrade
if [ "$1" = "0" ]; then
    /usr/bin/install-catalog --remove /etc/sgml/sgml-docbook-%{dtdver}.cat /usr/share/sgml/sgml-iso-entities-8879.1986/catalog > /dev/null 2>/dev/null
    /usr/bin/install-catalog --remove /etc/sgml/sgml-docbook-%{dtdver}.cat /usr/share/sgml/docbook/sgml-dtd-%{dtdver}/catalog > /dev/null 2>/dev/null
fi

if [ ! -e /etc/sgml/sgml-docbook-%{dtdver}.cat ]
then rm -f /etc/sgml/sgml-docbook.cat
     OTHERCAT=`ls /etc/sgml/sgml-docbook-?.?.cat 2> /dev/null | head --lines 1`
     if [ -n "$OTHERCAT" ]; then ln -s $OTHERCAT /etc/sgml/sgml-docbook.cat; fi
fi

 
%changelog
* Tue Mar 13 2001 Camille Begnis <camille@mandrakesoft.com> 1.0-3mdk
- Redirect install-catalog output to /dev/null

* Thu Oct 19 2000 Camille Begnis <camille@mandrakesoft.com> 1.0-2mdk
- put DTD version in %%{dtdver}

* Wed Aug 23 2000 Camille Begnis <camille@mandrakesoft.com> 1.0-1mdk
- adapt spec from Eric Bischoff <ebisch@cybercable.tm.fr>
- Obsoletes docbook
- Pre-LSB compliance
